Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class MapReducePolicyProvider

    java.lang.Object
      org.apache.hadoop.security.authorize.PolicyProvider
          org.apache.hadoop.mapred.MapReducePolicyProvider

    public class MapReducePolicyProvider

extends PolicyProvider

`PolicyProvider` for Map-Reduce protocols.

Field Summary

Fields inherited from class org.apache.hadoop.security.authorize.PolicyProvider
`DEFAULT_POLICY_PROVIDER, POLICY_PROVIDER_CONFIG`

Constructor Summary
`MapReducePolicyProvider()`

Method Summary
`Service[]` | `getServices()` Get the `Service` definitions from the `PolicyProvider`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapReducePolicyProvider

    public MapReducePolicyProvider()

Method Detail

### getServices

    public Service[] getServices()

  Description copied from class: `PolicyProvider`
  Get the `Service` definitions from the `PolicyProvider`.

  Specified by:
    `getServices` in class `PolicyProvider`
  Returns:
    the `Service` definitions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation